/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import { IRequest } from "@fluidframework/core-interfaces";
import { IResolvedUrl, IUrlResolver } from "@fluidframework/driver-definitions/internal";
import { IUser } from "@fluidframework/protocol-definitions";
import { Provider } from "./nconf.cjs";
/**
 * @internal
 */
export declare class RouterliciousUrlResolver implements IUrlResolver {
    private readonly config;
    private readonly getToken;
    private readonly hostUrl;
    constructor(config: {
        provider: Provider;
        tenantId: string;
        documentId: string;
    } | undefined, getToken: () => Promise<string>, hostUrl: string);
    /**
     * Handles a request and returns the relevant endpoints for the environment
     */
    resolve(request: IRequest): Promise<IResolvedUrl | undefined>;
    getAbsoluteUrl(resolvedUrl: IResolvedUrl, relativeUrl: string): Promise<string>;
}
/**
 * @internal
 */
export interface IAlfredUser extends IUser {
    displayName: string;
    name: string;
}
/**
 * @internal
 */
export interface IConfig {
    serverUrl: string;
    blobStorageUrl: string;
    tenantId: string;
    documentId: string;
}
//# sourceMappingURL=urlResolver.d.ts.map